mcl (1:14-137+ds-9build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Nov 2020 17:11:01 +0100

mcl (1:14-137+ds-9) unstable; urgency=medium

  * Fix FTBFS when using gcc-10 (Closes: #957525)

 -- Shayan Doust <hello@shayandoust.me>  Wed, 22 Jul 2020 14:32:45 +0100

mcl (1:14-137+ds-8) unstable; urgency=medium

  * Add myself as an uploader
  * Modify patch to fix missing scripts' installation (Closes: #963774)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 29 Jun 2020 10:54:16 +0100

mcl (1:14-137+ds-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add missing Build-Depends: bsdextrautils
  * Enable backports

  [ Shayan Doust ]
  * Install missing library

 -- Shayan Doust <hello@shayandoust.me>  Sun, 21 Jun 2020 19:27:10 +0100

mcl (1:14-137+ds-6) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jun 2020 12:25:00 +0200

mcl (1:14-137+ds-5) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Shayan Doust ]
  * Patch for mcl OCaml support
  * OCaml headers are not compatible with c89, so change to c99
  * Add rules for *.ml files to build ...fails for some reason
  * Add build depends for OCaml
  * Add oasis as build dependency and run oasis setup in rules
  * Disable dh_auto_build as we do this manually due to OCaml
  * Use --with ocaml but invoke autoreconf manually within overridden
    dh_auto_build
  * New package libmcl-ocaml-dev providing the mcl / ocaml bindings
  * install ocaml libs within libmcl-ocaml-dev.install
  * Install META file
  * Set directory = "^" for ocamlfind to find the libs
  * Revert "Set directory = "^" for ocamlfind to find the libs"
  * Use XMETAExtraLines in _oasis to add directory = "^" for ocamlfind to
    find the libs

  [ Andreas Tille ]
  * Add Build-Depends to work with "--with ocaml"
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * dh_missing of debhelper compat=13 claims missing installation of docs
  * install mcl's own examples in one dir and autopkgtest in other dir
  * Section: ocaml

 -- Shayan Doust <hello@shayandoust.me>  Thu, 11 Jun 2020 19:18:39 +0100

mcl (1:14-137+ds-4) unstable; urgency=medium

  [ Saira Hussain ]
  * Team upload.
  * Provide autopkgtest

  [ Andreas Tille ]
  * Standards-Version: 4.4.0
  * debhelper 12

 -- Saira Hussain <saira.h0213@zoho.com>  Thu, 11 Jul 2019 14:30:55 +0200

mcl (1:14-137+ds-3) unstable; urgency=medium

  * Philipp Benner <philipp@debian.org> has retired - thanks for your
    work on this package
    Closes: #913462

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2018 10:07:17 +0100

mcl (1:14-137+ds-2) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * Fix Perl interpreter path

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2018 09:51:31 +0100

mcl (1:14-137+ds-1) unstable; urgency=medium

  * Do not save copies of docs in d/rules
    Closes: #887829
  * Remove files from upstream tarball which will be recreated and
    prevent building the package twice in a row
  * Standards-Version: 4.1.3
  * debhelper 11
  * Fix further spelling issues

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jan 2018 13:00:52 +0100

mcl (1:14-137-2) unstable; urgency=medium

  * DEP5
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Secure watch file
  * DEP3
  * hardening=+all
  * Fix spelling
  * Fix whatis entry in manpages

 -- Andreas Tille <tille@debian.org>  Tue, 28 Nov 2017 11:08:18 +0100

mcl (1:14-137-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
  * debian/rules: short dh
  * html docs are now installed into html subdirectory

 -- Andreas Tille <tille@debian.org>  Tue, 20 May 2014 15:50:29 +0200

mcl (1:12-135-2) unstable; urgency=low

  * Added mayhem bugfixes.
  * Standards version 3.9.4.

 -- Philipp Benner <philipp@debian.org>  Sun, 07 Jul 2013 15:01:08 +0200

mcl (1:12-135-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Add citation information

  [ Philipp Benner ]
  * New upstream release
  * Hardening flags
  * Renamed variables with name 'restricted' in src/impala/matrix.c
    (Closes: #688655)

 -- Philipp Benner <philipp@debian.org>  Sun, 27 Jan 2013 15:49:50 +0100

mcl (1:12-068-1) unstable; urgency=low

  * New upstream version
  * debian/control: Standards version 3.9.2

 -- Philipp Benner <philipp@debian.org>  Fri, 09 Mar 2012 15:15:48 +0000

mcl (1:11-294-1) unstable; urgency=low

  * New upstream version
  * debian/rules: Added targets build-indep and build-arch
  * debian/control: Standards version 3.9.2

 -- Philipp Benner <philipp@debian.org>  Wed, 02 Nov 2011 20:23:52 +0000

mcl (1:10-201-21) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Added myself to uploaders
    - Fixed spelling of Debian Med
    - Standards-Version: 3.9.1 (no changes needed)
    - debhelper 7
    - removed versioned conflicts for mcl-doc from quite old mcl version
      which seems to be useless these days
  * debian/source/format: 3.0 (quilt)
  * debian/rules, debian/patches/01-manpage-errors.patch:
    Use sed on installed packages to get the same effect as the patch but
    there is no need to change the patch for new versions

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2011 15:58:07 +0100

mcl (1:10-148-1) unstable; urgency=low

  * New upstream release

 -- Philipp Benner <philipp@debian.org>  Tue, 01 Jun 2010 10:44:22 +0200

mcl (1:09-308-1) unstable; urgency=low

  * New upstream release
  * Moved repository to debian-med

 -- Philipp Benner <philipp@debian.org>  Tue, 24 Nov 2009 20:43:56 +0000

mcl (1:09-261-1) unstable; urgency=low

  * New upstream release

 -- Philipp Benner <philipp@debian.org>  Wed, 30 Sep 2009 10:54:28 +0000

mcl (1:09-182-1) unstable; urgency=low

  * New upstream release
  * New maintainer e-mail address
  * Removed DMUA

 -- Philipp Benner <philipp@debian.org>  Fri, 24 Jul 2009 08:15:19 +0000

mcl (1:09-149-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.8.2.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 27 Jun 2009 20:33:54 +0000

mcl (1:08-312-1) unstable; urgency=low

  * New upstream release.
  * Added debian/patches/manpages-whatis-fix.patch.
  * Added debian/patches/perl-interpreter-path.patch
  * Build-depends on zoem and tidy to regenerate manuals.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 25 Jan 2009 12:29:28 +0000

mcl (1:06-058-2) unstable; urgency=low

  * New maintainer e-mail address.
  * debian/control: Added DM-Upload-Allowed: yes.
  * debian/mcl-doc.doc-base.mcxio: fixed typo.
  * Changed the doc-base section according to the new policy.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Mon, 31 Mar 2008 11:04:53 +0200

mcl (1:06-058-1) unstable; urgency=low

  * Adopting package (Closes: #452405).
  * Standards version 3.7.2.
  * Added Vcs-Browser and Vcs-Svn field to debian/control.
  * Machine interpretable copyright file.
  * Improved config.{guess,sub} handling.
  * New upstream release.

 -- Philipp Benner <mail@philipp-benner.de>  Mon, 26 Nov 2007 14:37:21 +0100

mcl (1:06-021-2) unstable; urgency=low

  * Orphaning this package (per Bug #452405).  Set maintainer to Debian
    QA Group.
  * Move Homepage to control field.

 -- Joost van Baal <joostvb@debian.org>  Sat, 24 Nov 2007 00:35:03 +0100

mcl (1:06-021-1) unstable; urgency=low

  * New stable upstream release: Analysis and cache modes have been improved.
    This mcl binary in this release displays a citation reference on STDERR.
    Of course we honor upstream's wishes here, and do not suppress this
    helpful reminder.  See the comments in debian/rules for hints on how to
    operate if you disagree.
  * debian/control: found out how to add Homepage pseudo-field (finally!)
  * debian/control: we no longer ship plain text manpages in mcl-doc, adjust
    description.

 -- Joost van Baal <joostvb@debian.org>  Tue, 07 Feb 2006 21:05:31 +0100

mcl (1:05-321-1) unstable; urgency=low

  * New stable upstream release.  (Missed 05-272, 05-300, 05-314.)
    Some rephrased snippets from the announcement messages:
    + mcl-05-321:
     This mainly adds 'transformation' functionality, which complements the
     label-value streaming stuff.  It means you can apply quite complex
     transformations on values, albeit only context-insensive transformations.
    + mcl-05-314:
     MCL can now read in label input in a simple line based format where
     each lines contains two labels and an optional value separated by
     whitespace.  Output clusters are returned as lines of tab-separated
     labels.  The BLAST parser can stream this format directly to mcl
     creating a very concise and easy to manage sequence clustering
     pipeline.  The mcl(1) manual now has a 'getting started' section
     with some examples.  New utility mcxload(1) with many custom options for
     reading in label data and transforming the associated numerical values,
     storing mappings in tab files and saving a graph in native mcl input
     format.
    + mcl-05-300:
     Important for mcxassemble users: Changed mcxassemble to pick the maximum
     between repeated entries by default.  Other noteworthy changes: mcxdump
     can now also be used to restrict tab files, and: Fixed mcxsubs bug,
     introduced in last release, where selections never materialize unless one
     mysteriously specifies --rand-merge.  No changes in mcl, only stuff done
     to the graph manipulation programs.
    + mcl-05-272:
     Major changes in clmimac, a noticeable change in mclblastline, a minor
     addition to mcxdeblast, improved dump functionality in mcl.  If you just
     use mcl there is little need for upgrading.
    mcl-05-272 adds some extra stuff to doc/mcl/examples/ .
    As always, read changelog for details.
  * debian/mcl-doc.doc-base.mcxload: added
  * debian/{compat,control,rules}: move from debhelper compatibility level 3
    to 4 (add ${misc:Depends} to Depends)
  * debian/copyright: new snailmail address of FSF.
  * debian/watch: make sure it doesn't match the symlink mcl-latest.tar.gz.
  * debian/rules, debian/mcl-doc.install: no longer install upstream TODO file:
    it's not useful for users.
  * debian/control: fix versioned conflicts syntax
  * debian/rules: make proper use of comments: don't clobber build output.
  * debian/control: Standards Version bumped from 3.6.1.0 to 3.6.2.0 (no
    changes needed).

 -- Joost van Baal <joostvb@debian.org>  Wed, 23 Nov 2005 16:36:39 +0100

mcl (1:05-118-1) unstable; urgency=low

  * New stable upstream release: a lot faster on large graphs because a
    clunky input routine was fixed.
  * debian/rules: Make sure config.{guess,sub} are up to date.  (Upstream
    _does_ ship these.)
  * debian/mcl-doc.doc-base.mcl, debian/mcl-doc.doc-base.mclfaq: We are no
    longer shipping documentation in txt format.

 -- Joost van Baal <joostvb@debian.org>  Wed, 25 May 2005 08:09:54 +0200

mcl (1:05-096-1) unstable; urgency=low

  * New upstream development release.  (Missed mcl-04-314, mcl-05-090.)
    The only difference between mcl 05-096 and the official 05-090 release is
    the addition of a clmorder(1) manpage.  Here's a rephrased snippet from
    the 05-090 announcement message:
     Nothing changed in the core clustering algorithm. But:
     - Better support for diagnostics: mcl can now dump iterand submatrices.
     - Helper applications for analyzing cluster structure added: clxdo,
       clxcoarse (primitive hierarchical clustering, undocumented shell
       scripts, installed in /usr/share/doc/mcl/scripts) and clmorder.
     - Improvement of sibling applications: large mcxsubs rewrite - cleaner
       specification language and new modes and options. Also, rewrite of
       the IO library (umpteenth).
    Read changelog for details.
  * Install upstream TODO file.
  * Removed maintainer scripts: not needed for this package.
  * mcl-doc.doc-base.clmdist: fixed typo.

 -- Joost van Baal <joostvb@debian.org>  Wed, 06 Apr 2005 09:50:10 +0200

mcl (1:04-250-2) unstable; urgency=medium

  * control: Fixed embarrasing typo in description (closes: #285424).
    This is the reason urgency=medium rather than high: it'd be very
    nice if this package made it to sarge, so that not too many people
    get exposed to this ugly typo: s/computer sciense/computer science/.
  * mcl 04-314 is out, but might not get packaged: it has no shocking
    improvements, and a new upstream is likely to get published soon.

 -- Joost van Baal <joostvb@debian.org>  Sun, 16 Jan 2005 16:27:12 +0100

mcl (1:04-250-1) unstable; urgency=low

  * New upstream release.  (Missed mcl-04-230.)
  * watch: added, so that
    http://qa.debian.org/developer.php?gpg_key=969457F0 looks even
    more spiffy.

 -- Joost van Baal <joostvb@debian.org>  Wed, 08 Sep 2004 15:04:32 +0200

mcl (1:04-189-1) unstable; urgency=low

  * New upstream release. (Missed mcl-04-174, 04-185, 04-187.)
    However, beware!  mcl-04-103 might be considered non-free by some.
    LICENSE in this release is more clear, and free.  debian/copyright
    updated accoringly.
    Furthermore, zoem >= 04-173 is needed for parsing cmlformat(1)'s
    zoem output.  Such a zoem release is not yet packaged for Debian.
  * control: added Enhances: blast2, ncbi-tools-bin, bioperl.

 -- Joost van Baal <joostvb@debian.org>  Thu, 08 Jul 2004 12:13:30 +0200

mcl (1:04-103-1) unstable; urgency=low

  * New upstream development release.  (Upstream has published six other
    development releases since 03-277.)
  * Splitted in mcl and mcl-doc binary packages.
  * No longer installs HTML documentation in plain text too.
  * Some manpages no longer register via doc-base; just the "major" ones
    do now.
  * Debian Policy compliance: bumped from Standards Version 3.5.9 to
    Standards-Version: 3.6.1.0: debian/rules now honors DEB_BUILD_OPTIONS.

 -- Joost van Baal <joostvb@debian.org>  Tue, 13 Apr 2004 07:59:47 +0200

mcl (1:03-277-1) unstable; urgency=low

  * New upstream release.  This is the same as
    http://micans.org/mcl/src/mcl-03-276.tar.gz, the version number is
    the only thing which differs.
  * doc-base.clmmate: added.  Upstream ships a clmmate manpage now: our
    package is lintian clean again.

 -- Joost van Baal <joostvb@debian.org>  Sun, 05 Oct 2003 12:27:53 +0200

mcl (1:03-276-1) unstable; urgency=low

  * New upstream _development_ release (missed formal releases 03-154,
    03-178, 03-185, 03-245).
  * copyright: added note on citations when using the software in writing
    scientific papers.
  * rules: build and install BLAST parsing scripts.  Do not build tribe
    stuff.  See README for details.
  * doc-base.*: new docs: clmformat, mclblastline, mclpipeline, mcxassemble,
    mcxdeblast, mcxio.  removed docs: clmconf, mcxformat.

 -- Joost van Baal <joostvb@debian.org>  Fri, 03 Oct 2003 11:48:46 +0200

mcl (1:03-010-2) unstable; urgency=low

  * Removed bogus mcximac doc-base file: mcximac does not exist.  Tnx
    Laurent Bonnaud. (closes: #193058)

 -- Joost van Baal <joostvb@debian.org>  Thu, 15 May 2003 10:58:17 +0200

mcl (1:03-010-1) unstable; urgency=low

  * New upstream release.
  * Registered new docs using doc-base: clmimac, clmresidue, mcxmap.  mcl
    and mclfaq now get installed in plain text format too.
  * debian/control: Standards 3.5.2 -> 3.5.9 (no changes needed).

 -- Joost van Baal <joostvb@debian.org>  Sat, 10 May 2003 10:29:04 +0200

mcl (1:02-277-1) unstable; urgency=low

  * New upstream release.

 -- Joost van Baal <joostvb@debian.org>  Fri, 25 Oct 2002 11:31:34 +0200

mcl (1:02-172-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: no longer uses touch-hack to work around timeskew
    problems: upstreams uses AM_MAINTAINER_MODE now.

 -- Joost van Baal <joostvb@debian.org>  Mon, 24 Jun 2002 14:44:11 +0200

mcl (1:02-116-1) unstable; urgency=low

  * New upstream release.

 -- Joost van Baal <joostvb@debian.org>  Sat, 27 Apr 2002 22:59:49 +0200

mcl (1:02-113-cvs-1) unstable; urgency=low

  * build from current cvs, pre-release
  * debian/rules: set configure flags based on check equality of
    DEB_BUILD_GNU_TYPE and DEB_HOST_GNU_TYPE, cf current autotools-dev ideas.
  * debian/control, debian/copyright: MCL found a new home on the www.
  * debian/copyright: added note on contrib/tribe/ copyright holder.
  * doc-base.*: added doc-base.mclfaq and doc-base.mcximac

 -- Joost van Baal <joostvb@debian.org>  Tue, 23 Apr 2002 23:30:37 +0200

mcl (1:02-035-1) unstable; urgency=low

  * First release for the Debian archive (closes: #132283).
  * copyright: new download location, refer to /usr/share/common-licenses/GPL .
  * rules: applied some of Henrique de Moraes Holschuh's autotools-dev voodoo,
    got rid of some NOP dh_ calls.
  * docs: no longer installs NEWS; this file is not yet maintained upstream.

 -- Joost van Baal <joostvb@debian.org>  Wed,  6 Feb 2002 10:20:17 +0100

mcl (1:02-034-1) unstable; urgency=low

  * New upstream release.

 -- Joost van Baal <joostvb@debian.org>  Mon,  4 Feb 2002 08:33:36 +0100

mcl (1:02-030-1) unstable; urgency=low

  * Snapshot build from CVS.
  * Use epoch in version numbering, since upstream made order-breaking
    version numbering policy change.
  * Use docbase for all .ps and .html manpages.

 -- Joost van Baal <joostvb@debian.org>  Wed, 30 Jan 2002 22:46:28 +0100

mcl (20020116-1) unstable; urgency=low

  * Snapshot build from CVS.

 -- Joost van Baal <joostvb@debian.org>  Wed, 16 Jan 2002 21:08:22 +0100

mcl (20011211-1) unstable; urgency=low

  * New upstream release.  Now registers documentation using doc-base.

 -- Joost van Baal <joostvb@debian.org>  Tue, 11 Dec 2001 20:19:42 +0100

mcl (20011012-1) unstable; urgency=low

  * Initial Release.

 -- Joost van Baal <joostvb@debian.org>  Fri, 12 Oct 2001 22:43:08 +0200
